Subject: Re: bug#8999: 24.0.50; abbrev-mode infinite loop

From: "Tim Cross" <[email-masked]>
Date: Wed, 6 Jul 2011 11:03:02 +1000

Stefan Monnier writes:
 > forcemerge 8998 8999
 > thanks
 > 
 > > There appears to be an infinite loop issue with the current emacs bzr
 > > sources and abbrev-mode. When abbrev-mode is enabled, typing any word
 > > and hitting an end of word marker (i.e. space) puts emacs into an
 > > infinite loop. Hitting C-g breaks out of the loop, but you cannot enter
 > > an end of word character (i.e. something that triggers an abbrev
 > > expansion lookup) without the loop. 
 > 
 > I believe I've fixed this problem now in the trunk.  Please confirm,
 > 
 
I can confirm that the fix you applied appears to have resolved the issue. I
cannot reproduce using the same recipie and issues I observed using additonal
packages seem to be resolved. Thanks.

Tim

-- 
Tim Cross
Information Technology 
University of New England
 Phone: +61 2 6773 3210
Mobile: 0428 212217
   Fax: +61 2 6773 3424
E-Mail: [email-masked]
   Web: http://www.une.edu.au/itd
---
Please avoid sending me Word or PowerPoint attachments.
See http://www.gnu.org/philosophy/no-word-attachments.html

Any fool can make things bigger, more complex, and more violent. It takes a
touch of genius (and a lot of courage) to move in the opposite direction.
                                                           —Albert Einstein